import 'dart:async';

import 'package:flutter/services.dart';

class ScheduleBadgeUpdates {
  static const MethodChannel _channel =
      const MethodChannel('schedule_badge_updates');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future clearBadge(int badgeNr) async {
    return await _channel.invokeMethod('clearBadge');
  }

  static Future setBadge(int badgeNr) async {
    return await _channel.invokeMethod('setBadge', badgeNr);
  }

  static Future<bool> isBadgeSupported() async {
    return await _channel.invokeMethod('isBadgeSupported');
  }
  
  static Future<String> scheduleBadge(int badgeNr, DateTime date) async {
    String outp = await _channel.invokeMethod('scheduleBadge', {
      "badge": badgeNr,
      "date": {
        "year": date.year,
        "month": date.month,
        "day": date.day,
        "hour": date.hour,
        "minute": date.minute,
        "second": date.second,
      }
    });
    return outp;
  }
}
